/* @exclude */
/* jshint -W069 */
/* jshint -W041 */
/* jshint -W018 */
/* global composite */
/* @endexclude */

/**
 * Controls the visibility of a Component.
 */
this.Step_Visibility_Model = function( step, opts ) {

	var self = step;

	/**
	 * Controls the visibility state of a component.
	 */
	var Model = Backbone.Model.extend( {

		recursing: false,

		initialize: function() {

			var params = {
				is_visible: true,
			};

			this.set( params );

			if ( self.is_component() ) {
				/**
				 * Update model state when the hidden components change.
				 */
				composite.actions.add_action( 'hidden_components_changed', this.update_visibility_state, 10, this );
			}
		},

		update_visibility_state: function() {

			var is_visible = true;

			composite.console_log( 'debug:models', '\nUpdating "' + self.get_title() + '" visibility...' );

			if ( composite.scenarios.is_component_hidden( self.step_id ) ) {
				is_visible = false;
			}

			composite.debug_indent_incr();

			composite.console_log( 'debug:models', '\nUpdating \'Step_Visibility_Model\': "' + self.get_title() + '", Attribute: "is_visible": ' + is_visible.toString() );

			if ( this.get( 'is_visible' ) !== is_visible ) {
				composite.console_log( 'debug:models', 'Visibility state changed.\n' );
			} else {
				composite.console_log( 'debug:models', 'Visibility state unchanged.\n' );
			}

			composite.debug_indent_incr();

			if ( ! this.recursing ) {
				this.recursing = true;
				this.set( { is_visible: is_visible } );
			} else {
				composite.console_log( 'error', '\nStep visibility model recursion detected. Stepping out...' );
			}

			this.recursing = false;

			composite.debug_indent_decr();

			composite.debug_indent_decr();
		}

	} );

	var obj = new Model( opts );
	return obj;
};
