/* @exclude */
/* jshint -W069 */
/* jshint -W041 */
/* jshint -W018 */
/* global composite */
/* @endexclude */

/**
 * Handles the display of composite validation messages.
 */
this.Composite_Validation_View = function( opts ) {

	var View = Backbone.View.extend( {

		render_timer: false,
		is_in_widget: false,
		template:     false,

		initialize: function( options ) {

			this.template     = wp.template( 'wc_cp_validation_message' );
			this.is_in_widget = options.is_in_widget;

			/**
			 * Update the view when the validation messages change.
			 */
			composite.actions.add_action( 'composite_validation_message_changed', this.render, 100, this );
		},

		render: function() {

			var view  = this,
				model = this.model;

			composite.console_log( 'debug:views', '\nScheduled update of composite validation view' + ( this.is_in_widget ? ' (widget #' + this.is_in_widget + ')' : '' ) + '.' );

			clearTimeout( view.render_timer );
			view.render_timer = setTimeout( function() {
				view.render_task( model );
			}, 10 );
		},

		render_task: function( model ) {

			composite.console_log( 'debug:views', '\nUpdating composite validation view' + ( this.is_in_widget ? ' (widget #' + this.is_in_widget + ')' : '' ) + '...' );

			var messages = model.get( 'validation_messages' );

			if ( false === model.get( 'passes_validation' ) && messages.length > 0 ) {

				this.$el.html( this.template( messages ) );
				this.$el.removeClass( 'inactive' ).slideDown( 200 );

			} else {
				this.$el.addClass( 'inactive' ).slideUp( 200 );
			}
		}

	} );

	var obj = new View( opts );
	return obj;
};

